public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Owen W. Taylor <otaylor@fishsoup.net>
To: git-commits@fedoraproject.org
Subject: [flatpaks/flatpak-runtime] f45: generate-files.sh: properly propagate failure if flatpak fails
Date: Fri, 11 Sep 2026 14:42:59 GMT	[thread overview]
Message-ID: <178913777990.1.9975840956870898726.flatpaks-flatpak-runtime-8ebf0ff354d4@fedoraproject.org> (raw)

A new commit has been pushed.

Repo   : flatpaks/flatpak-runtime
Branch : f45
Commit : 8ebf0ff354d4f2c9c7cf7c0cdbb5138d537854c2
Author : Owen W. Taylor <otaylor@fishsoup.net>
Date   : 2026-03-02T20:29:46-05:00
Stats  : +1/-1 in 1 file(s)
URL    : https://src.fedoraproject.org/flatpaks/flatpak-runtime/c/8ebf0ff354d4f2c9c7cf7c0cdbb5138d537854c2?branch=f45

Log:
generate-files.sh: properly propagate failure if flatpak fails

---
diff --git a/tools/generate-files.sh b/tools/generate-files.sh
index 43a3693..2ef455e 100755
--- a/tools/generate-files.sh
+++ b/tools/generate-files.sh
@@ -41,4 +41,4 @@ mkdir -p out
 flatpak run \
         --file-forwarding \
         --command=/usr/bin/python3 $runtime @@ tools/list-files.py @@ $sdk \
-        > $out.tmp && mv $out.tmp $out || rm $out.tmp
+        > $out.tmp && mv $out.tmp $out || ( rm $out.tmp && exit 1 )

                 reply	other threads:[~2026-09-11 14:42 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913777990.1.9975840956870898726.flatpaks-flatpak-runtime-8ebf0ff354d4@fedoraproject.org \
    --to=otaylor@fishsoup.net \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox